import { NavArrowProps } from "./NavBarTypes";
export declare const NavContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavOuter: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavLogo: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavInner: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavInnerRight: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavAccent: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const NavUser: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const CvlContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const BalancesContainer: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const UserCvlBalance: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const UserCvlVotingBalance: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const AvatarContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const HandleContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const UserAvatar: import("styled-components").StyledComponent<"figure", any, {}, never>;
export declare const Arrow: import("styled-components").StyledComponent<"div", any, NavArrowProps, never>;
export declare const LogInButton: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const BorderlessNavBarButton: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const NavBarButton: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const StyledNavDrawer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerSection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerSectionHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerRow: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerRowLabel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerRowInfo: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerPill: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NavDrawerCvlBalance: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const UserAddress: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const NavDrawerBuyCvlBtn: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const CopyButton: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const StyledNavMenuContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledNavMenuResponsiveButton: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledNavMenuResponsiveContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMobileNavMenu: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledVisibleIfLoggedInLink: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const DropDownContain: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const DropDownLabel: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const DropDownArrow: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const DropDownLinks: import("styled-components").StyledComponent<"div", any, {}, never>;
